# 🐍 Serpynt

**Serpynt** is a lightweight **Static Site Generator** (SSG) that transforms Markdown content into HTML — fast. It’s built for developers, writers, and hackers who want *just enough tooling* without being locked into a framework.

---

## 🌱 Why Serpynt?

Most static site generators either get too clever or too complicated. **Serpynt** just tries to stay out of the way.

- ⚡ **Fast** – Converts Markdown to static HTML in milliseconds using Python.
- ✨ **Minimal** – No complex configs, databases, or dependencies—just directories, Markdown, CSS, and HTML templates.
- 🧩 **Flexible** – Bring your own templates, write your own themes, make cool stuff.
- 🏷️ **Tag & Category Support** – Automatically builds archive pages for tags and categories if your Markdown frontmatter assigns them to your content.
- 📁 **Directory Aware** – Mirrors directory trees like `src/css/` → `out/css/` with ease.

---

## 🛠️ Features

- Markdown + YAML frontmatter → Static HTML pages
- Custom HTML5 templates (Jinja not required)
- Auto-generated index, tag, and category pages
- Landing page + blog support
- Directory copying for assets (CSS, JS, etc.)
- Easily scriptable + extensible

---

## 🔗 Links

- GitHub: [CodeZea1ot/serpynt](https://github.com/CodeZea1ot/serpynt)
- PyPI: [serpynt](https://pypi.org/project/serpynt)

---

## 🧙‍♂️ Philosophy

Serpynt isn’t trying to reinvent the wheel. It’s a sharp blade, not a Swiss Army knife. If you like minimal tools that stay out of your way, Serpynt might be your kind of thing.